Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
psych_parser.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | Init_psych_parser ()

## Function Documentation

void Init_psych_parser | ( |  | ) |

Definition at line 538 of file psych_parser.c.

References allocate(), cPsychParser, ePsychSyntaxError, id_alias, id_empty, id_end_document, id_end_mapping, id_end_sequence, id_end_stream, id_path, id_read, id_scalar, id_start_document, id_start_mapping, id_start_sequence, id_start_stream, INT2NUM, mark(), mPsych, parse(), rb_cObject, rb_const_get(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_method(), rb_define_module(), rb_intern, rb_require(), YAML_ANY_ENCODING, YAML_UTF16BE_ENCODING, YAML_UTF16LE_ENCODING, and YAML_UTF8_ENCODING.

Referenced by Init_psych().